Name:           obm
Version:        2.1.9
Release:        4%{?dist}
Summary:        Open Business Management

Group:          Development/Languages
License:        GPLv2
URL:            http://obm.aliasource.fr
Source0:        http://obm.aliasource.fr/obm-archives/%{name}-%{version}.tar.gz
Source1:        %{name}-httpd.conf
Source2:        %{name}-config.sh
Source3:        mysql.sql
source4:        obm-core.cron.d
Source5:        README.fedora
Source6:        %{name}-mysql.sh
Source7:        %{name}-admin.sh
#Source8:       %{name}-ldap.sh
Source9:        %{name}-satellite.sh
Source10:       %{name}-satellite.init
Source11:       %{name}Satellite.logrotate
Patch0:         config_update_tools.patch
Patch1:         config_update_tools_admin0.patch
Patch2:         set_images_path_according_to_link.patch
Patch3:         %{name}-defaultconf.patch
Patch4:         %{name}Satellite-initscript.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildARch:      noarch
Provides:       obm-core = %{version}
Requires:       php >= 5, php-xml, php-mysql, php-gd
Requires:       %{name}-config = %{version}-%{release}
Requires:       %{name}-mysql = %{version}-%{release}
Requires(post): vixie-cron
Requires(pre):  httpd


%description
OBM is a global Groupware, Messaging, CRM and Project appliation.
It is mainly used as an Exchange Or Notes/Domino Mail and groupware replacement
but also as simple contact databases to full CRM.
OBM advanced shared calendar and contacts has connectors with MS Outlook,
Thunderbird/Lightning or PDA.

%package        config
Summary:        OBM common configuration
Group:          Development/Tools

%description    config
The %{name}-config package contains OBM configuration files
for %{name} related packages.

%package        mysql
Summary:        MySQL common files for OBM
Group:          Development/Tools

Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       mysql-server >= 5.0

%description    mysql
The %{name}-mysql package contains MySQL schemes and configuration
file for %{name} package.


%package        -n perl-OBM
Summary:        Perl module for OBM
Group:          Development/Libraries
License:        GPL+ or Artistic

BuildARch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description    -n perl-OBM
perl-OBM package contains OBM libs for perl

%package        -n perl-ObmSatellite
Summary:        Perl modiule for OBM-Satellite
Group:          Development/Libraries
License:        GPL+ or Artistic

BuildARch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description    -n perl-ObmSatellite
perl-ObmSatellite package contains OBM-Satellite libraries for perl

%package        services
Summary:        OBM script to manage services
Group:          Development/Tools

Requires:       %{name}-config = %{version}-%{release}
Requires:       perl-OBM = %{version}-%{release}

%description    services
The %{name}-services package contains perl script to manage services.

%package        Satellite
Summary:        OBM Satellite configuration
Group:          Development/Tools

Requires:       %{name}-config = %{version}-%{release}
Requires:       perl-ObmSatellite = %{version}-%{release}
Requires:       perl(Net::CIDR::Lite)
Requires(post): chkconfig
Requires(preun):chkconfig
Requires(preun):initscripts

%description    Satellite
The package %{name}-Satellite contains satellite configuration
files for OBM.



%prep
%setup -q -n %{name}-%{version} 

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .defaultconf
%patch4 -p1 -b .initscrit.patch

install -pm 0644 %{SOURCE3} .
install -pm 0644 %{SOURCE5} .

mv conf/obm_conf.inc.sample conf/obm_conf.inc
mv conf/obm_conf.ini.sample conf/obm_conf.ini

# Fix encoding, excluded sql schemas to avoid MySQL troubles :(
for file in `ls scripts/2.1/*.txt` `ls doc/*/*/*.txt` `find . -type f -name '*.tex'` \
            'doc/database/support_incident/structure_tables.sql' ; do
        iconv -f ISO88591 -t UTF-8 $file -o file.tmp
        mv file.tmp $file
done

%build
pushd auto/libperl-OBM
perl Makefile.PL INSTALLDIRS=vendor
cd ../libperl-ObmSatellite
perl Makefile.PL INSTALLDIRS=vendor
popd

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}-satellite
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/modules
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}-satellite
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/themes/images
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/obm/backup
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/obm/documents/0
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/obm/documents/1
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/obm/documents/2
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/obm/documents/3
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/obm/documents/4
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/obm/documents/5
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/obm/documents/6
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/obm/documents/7
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/obm/documents/8
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/obm/documents/9
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/auto
mkdir -p $RPM_BUILD_ROOT%{_datadir}/obm-satellite

#libperl stuff
pushd auto/libperl-OBM
make install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
cd ../libperl-ObmSatellite
make install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
popd

#obm-config
install -p -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}-setup
install -p -m 755 %{SOURCE7} $RPM_BUILD_ROOT%{_bindir}/%{name}-admin
install -p -m 644 conf/obm_conf.ini $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
#ghost issue (cache file for upstream)
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}-rpm.conf

#obm-core
install -p -m 644 conf/obm_conf.inc $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/obm-core
install -p -m 644 conf/modules/module.inc $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/modules
install -p -m 644 conf/themes/login.html.sample $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/themes
cp -apR contrib cron obminclude php resources tests scripts \
        $RPM_BUILD_ROOT%{_datadir}/%{name}

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/php
ln -sf ../resources images
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -sf ../../..%{_sysconfdir}/%{name} conf
popd
popd

#obm-ui
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf

# obm-mysql
install -p -m 755 %{SOURCE6} $RPM_BUILD_ROOT%{_bindir}/%{name}-mysql

# obm-services
install -p -m 755 auto/testObmSatellite.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/auto
install -p -m 755 auto/updateCyrusAcl.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/auto
install -p -m 755 auto/update.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/auto
install -p -m 755 auto/updateSieve.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/auto
install -p -m 755 auto/changePasswd.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/auto

# obm-stallite stuff
install -p -m 755 %{SOURCE9} $RPM_BUILD_ROOT%{_bindir}/%{name}-satellite
install -p -m 644 auto/obmSatellite/obmSatellite.pl $RPM_BUILD_ROOT%{_datadir}/obm-satellite
#install -p -m 755 auto/obmSatellite/init-obmSatellite.sample $RPM_BUILD_ROOT%{_sysconfdir}/init.d/obm-satellite
install -p -m 755 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/obm-satellite
install -p -m 644 auto/obmSatellite/obmSatellite.cf.sample $RPM_BUILD_ROOT%{_sysconfdir}/%{name}-satellite/%{name}Satellite.cf
install -p -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/obmSatellite
#pushd $RPM_BUILD_ROOT%{_sysconfdir}/%{name}-satellite/
#ln -s ./%{name}Satellite.cf $RPM_BUILD_ROOT%{_datadir}/obm-satellite/%{name}Satellite.cf
#popd
ln -s ../../..%_sysconfdir}/%{name}-satellite/%{name}Satellite.cf \
			$RPM_BUILD_ROOT%{_datadir}/obm-satellite/

# Fix permissions
chmod 0664 \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/php/time/*.inc \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/resources/*/*/*/*.css \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/resources/*/*/*.inc \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}include/*/of_session.inc \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts/0.5/update-0.5.1-0.5.2.mysql.sql
chmod 0755 \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts/2.0/update-aliamin2.4-2.0.php \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts/0.4/obmdb_export_0.3-0.4.pl \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts/0.3/obmdb_export_0.2-0.3.pl \
        $RPM_BUILD_ROOT%{_datadir}/%{name}-satellite/obmSatellite.pl
chmod 0644 \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts/0.7/update-0.7.0-0.7.1.php \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/php/time/time_index.php \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/cron/Logger.class.php \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/php/admin_lang/admin_lang_index.php \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/php/admin_code/admin_code_index.php


#Remove unneeded stuff
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '.cvsignore' -exec rm -rf {} ';'
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT




%post           Satellite
/sbin/chkconfig --add obm-satellite

%preun          Satellite
if [ $1 = 0 ] ; then
/sbin/service obmSatellite stop >/dev/null 2>&1
/sbin/chkconfig --del obm-satellite
fi



%files
%defattr(-,root,root,-)
%doc doc/* COPYING README Release-notes.txt README.fedora
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/conf
%{_datadir}/%{name}/contrib
%{_datadir}/%{name}/cron
%{_datadir}/%{name}/obminclude
%{_datadir}/%{name}/php
%{_datadir}/%{name}/resources
%{_datadir}/%{name}/tests
%{_datadir}/%{name}/scripts
%config(noreplace) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/cron.d/obm-core
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%attr(-,apache,apache) %dir %{_localstatedir}/lib/%{name}

%files		-n perl-OBM
%defattr(-,root,root,-)
%{perl_vendorlib}/OBM
%{_mandir}/man3/*.3pm*

%files          -n perl-ObmSatellite
%defattr(-,root,root,-)
%{perl_vendorlib}/ObmSatellite

%files		config
%defattr(-,root,root,-)
%{_bindir}/%{name}-setup
%{_bindir}/%{name}-admin
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}_conf.ini
%ghost %{_sysconfdir}/%{name}/%{name}-rpm.conf

%files		mysql
%defattr(-,root,root,-)
%doc mysql.sql
%{_bindir}/%{name}-mysql


%files		services
%defattr(-,root,root,-)
%{_datadir}/%{name}/auto

%files		Satellite
%defattr(-,root,root,-)
%{_bindir}/%{name}-satellite
%{_datadir}/%{name}-satellite
%config(noreplace) %{_sysconfdir}/%{name}-satellite/%{name}Satellite.cf
%{_sysconfdir}/init.d/obm-satellite
%{_sysconfdir}/logrotate.d/%{name}Satellite
%dir %{_localstatedir}/log/%{name}


%changelog
* Sun Jul 13 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.1.9-4
- Update satellite initscript.
- Update obm httpd config.

* Tue Jun 24 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.1.9-3
- Fix bogus issues.

* Thu Jun 05 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.1.9-2
- Enabled other OBM services through sub-packages.

* Mon Apr 21 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.1.9-1
- Initial RPM Release.
